ambari-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From 鐜嬫槑 <wangming200...@gmail.com>
Subject Re: Does this repository still work :http://public-repo-1.hortonworks.com/HDP/suse11/1.x/updates/1.3.3.0/ ?
Date Thu, 16 Jan 2014 02:54:05 GMT
sorry to response late,
I use suse and can download rpm and component manually using "zypper
install xxx" ,  but ambari can not download automatically.



2014/1/14 Sumit Mohanty <smohanty@hortonworks.com>

> Just curious – did you intentionally tried the centos6 repo url -
> http://public-repo-1.hortonworks.com/HDP/centos6/1.x/updates/1.3.3.0/'
>
> I just tried - wget
> http://public-repo-1.hortonworks.com/HDP/suse11/1.x/updates/1.3.3.0/zookeeper/zookeeper-3.4.5.1.3.3.0-58.noarch.rpm
and
> its able to download.
>
> What linux distro/version you are using?
>
> -Sumit
>
> From: 王明 <wangming200000@gmail.com>
> Reply-To: <user@ambari.apache.org>
> Date: Sunday, January 12, 2014 11:24 PM
>
> To: <user@ambari.apache.org>
> Subject: Re: Does this repository still work :
> http://public-repo-1.hortonworks.com/HDP/suse11/1.x/updates/1.3.3.0/ ?
>
> i have manually tried zypper install zookeeper* ,  and got such eror:
> -----------using
> http://public-repo-1.hortonworks.com/HDP/suse11/1.x/GA-------
> 2 new packages to install.
> Overall download size: 8.5 MiB. After the operation, additional 12.9 MiB
> will be used.
> Continue? [y/n/?] (y): y
> Retrieving package zookeeper-3.4.5.1.3.3.0-58.noarch (1/2), 8.5 MiB (12.9
> MiB unpacked)
> Retrieving: zookeeper-3.4.5.1.3.3.0-58.noarch.rpm [error]
> File './zookeeper/zookeeper-3.4.5.1.3.3.0-58.noarch.rpm' not found on
> medium 'http://public-repo-1.hortonworks.com/HDP/suse11/1.x/GA
>
> ---------using
> http://public-repo-1.hortonworks.com/HDP/centos6/1.x/updates/1.3.3.0/'
> 2 new packages to install.
> Overall download size: 8.5 MiB. After the operation, additional 12.9 MiB
> will be used.
> Continue? [y/n/?] (y): y
> Retrieving package zookeeper-3.4.5.1.3.3.0-58.noarch (1/2), 8.5 MiB (12.9
> MiB unpacked)
> Retrieving: zookeeper-3.4.5.1.3.3.0-58.noarch.rpm [error]
> File './zookeeper/zookeeper-3.4.5.1.3.3.0-58.noarch.rpm' not found on
> medium '
> http://public-repo-1.hortonworks.com/HDP/centos6/1.x/updates/1.3.3.0/'
>
> both of the two urls are failed to download zookeeper using "zypper
> install zookeeper*",  so i doubt if it is the repo base url problem.
> have you used anyone of them ?
>
>
>
>
> 2014/1/13 Sumit Mohanty <smohanty@hortonworks.com>
>
>> Assuming the cluster is only installed and no services are started, you
>> can reset and reinstall the whole cluster. The reset does not uninstall the
>> already installed packages.
>>
>> To reset:
>>
>>    - Log out of ambari-server
>>    - Stop ambari-server and all instances of ambari-agent.
>>    - Call ambari-server reset (this will reset Ambari DB and thus
>>    Ambari's knowledge of the cluster)
>>    - Start amabri-server and ambari-agent instances
>>    - Access ambari-server (you may need to hit hard refresh)
>>
>> Note that you will loose data, e.g. stored in HDFS, when you reset. So
>> pls. evaluate if you can indeed reset and restart.
>>
>> -Sumit
>>
>> From: 王明 <wangming200000@gmail.com>
>> Reply-To: <user@ambari.apache.org>
>> Date: Sunday, January 12, 2014 8:22 PM
>>
>> To: <user@ambari.apache.org>
>> Subject: Re: Does this repository still work :
>> http://public-repo-1.hortonworks.com/HDP/suse11/1.x/updates/1.3.3.0/ ?
>>
>> thanks,  it does still not work,
>> i have manually installed ganglia ,  then ambari UI shows ganglia
>> installed,  but other components which i did not install manually failed.
>> so,  I think ambari has skipped component downloading and installing
>> steps,  how to enable the two steps?
>>
>>
>> 2014/1/13 Sumit Mohanty <smohanty@hortonworks.com>
>>
>>> Can you do a "zypper clean" on all the hosts?
>>>
>>> Next time you try to install look for the log files at
>>> /var/lib/ambari-agent/data.
>>>
>>> This location contains logs for all tasks executed on an Ambari agent
>>> host. Each log name includes a specific number, for example N. Pay
>>> particular attention to the following three files:
>>>
>>>    -
>>>
>>>    site-N.pp - the puppet file corresponding to a specfic task.
>>>    -
>>>
>>>    output-N.txt - output from puppet file execution.
>>>    -
>>>
>>>    errors-N.txt - error messages.
>>>
>>> Do installation of all components fail or there are
>>> some intermittent failures? If download speed is slow then the tasks may be
>>> timing out.
>>>
>>> You can see the details of requests and tasks at
>>> http://ambariserverhost:8080/api/v1/clusters/c1/requests/
>>> http://ambariserverhost:8080/api/v1/clusters/c1/requests/REQUESTID/tasks
>>>
>>> http://ambariserverhost:8080/api/v1/clusters/c1/requests/REQUESTID/tasks/TASKID
>>>
>>> From: 王明 <wangming200000@gmail.com>
>>> Reply-To: <user@ambari.apache.org>
>>> Date: Sunday, January 12, 2014 5:51 PM
>>> To: <user@ambari.apache.org>
>>> Subject: Re: Does this repository still work :
>>> http://public-repo-1.hortonworks.com/HDP/suse11/1.x/updates/1.3.3.0/ ?
>>>
>>> Hi, Sumit , thanks for replying.
>>> I have checked I can installed packages using  "zypper install
>>> hadoop-sbin" ,  but i still encountered those file not find error.
>>>
>>> Here is my HDP repo on agent:
>>>
>>> -----------------/etc/zypp/repos.d/HDP.repo-------
>>> [HDP-1.3.3]
>>> name=HDP
>>> baseurl=http://public-repo-1.hortonworks.com/HDP/suse11/1.x/GA
>>> path=/
>>> enabled=1
>>> gpgcheck=0
>>>
>>> --------------
>>> Here is my ui setting on select statck page:
>>>
>>>
>>> ~
>>>
>>>
>>> 2014/1/13 Sumit Mohanty <smohanty@hortonworks.com>
>>>
>>>> Can you check if you can download the hep.repo?
>>>>
>>>> wget
>>>> http://public-repo-1.hortonworks.com/HDP/suse11/1.x/updates/1.3.3.0/hdp.repo
>>>>
>>>> *I just tried and I can download it.*
>>>>
>>>> If you can download, then on one one of your agent hosts, verify that /etc/zypp/repos.d/HDP.repo
>>>> has the same base url value for [HDP-1.x] as the downloaded one above.
>>>>
>>>> If all of the above are in order, pls. verify if zypper is able to see
>>>> the packages. One way to check will be
>>>> zypper se 'hadoop*' - to see if the host can access the repo and
>>>> packages. You can also call "zypper install hadoop-sbin".
>>>>
>>>> -Sumit
>>>>
>>>> From: 王明 <wangming200000@gmail.com>
>>>> Reply-To: <user@ambari.apache.org>
>>>> Date: Sunday, January 12, 2014 5:08 AM
>>>> To: <user@ambari.apache.org>
>>>> Subject: Does this repository still work :
>>>> http://public-repo-1.hortonworks.com/HDP/suse11/1.x/updates/1.3.3.0/ ?
>>>>
>>>> Hi, I am using ambari 1.4.2.104 ,  when i am deploying HDP 1.3.3 ,  i
>>>> got such error:
>>>>
>>>> ------ganglia-----
>>>>
>>>> notice: /Stage[2]/Hdp-ganglia/Hdp::User[gmond_user]/User[nobody]/groups:
groups changed 'nogroup' to 'nobody,nogroup'
>>>> err: /Stage[2]/Hdp-ganglia::Monitor/Hdp::Package[ganglia-monitor]/Hdp::Package::Process_pkg[ganglia-monitor]/Package[ganglia-gmond-3.5.0-99]/ensure:
change from absent to present failed: Could not find package ganglia-gmond-3.5.0-99
>>>> notice: /Stage[2]/Hdp-ganglia::Monitor/Hdp::Package[ganglia-monitor]/Hdp::Package::Process_pkg[ganglia-monitor]/Anchor[hdp::package::ganglia-monitor::end]:
Dependency Package[ganglia-gmond-3.5.0-99] has failures: true
>>>> notice: /Stage[2]/Hdp-ganglia::Monitor/Hdp::Package[ganglia-gmond-modules-python]/Hdp::Package::Process_pkg[ganglia-gmond-modules-python]/Anchor[hdp::package::ganglia-gmond-modules-python::begin]:
Dependency Package[ganglia-gmond-3.5.0-99] has failures: true
>>>>
>>>>
>>>> -----datanode-------
>>>>
>>>> err: /Stage[main]/Hdp-hadoop/Hdp-hadoop::Package[hadoop]/Hdp::Package[hadoop
64]/Hdp::Package::Process_pkg[hadoop 64]/Package[hadoop-sbin]/ensure: change from absent to
present failed: Could not find package hadoop-sbin
>>>> err: /Stage[main]/Hdp-hadoop/Hdp-hadoop::Package[hadoop]/Hdp::Package[hadoop
64]/Hdp::Package::Process_pkg[hadoop 64]/Package[hadoop-libhdfs]/ensure: change from absent
to present failed: Could not find package hadoop-libhdfs
>>>> err: /Stage[main]/Hdp-hadoop/Hdp-hadoop::Package[hadoop]/Hdp::Package[hadoop
64]/Hdp::Package::Process_pkg[hadoop 64]/Package[hadoop-pipes]/ensure: change from absent
to present failed: Could not find package hadoop-pipes
>>>>
>>>> i think maybe ambari can not download those needed file from the repo.
>>>>
>>>> so, if this repo is still working  http://public-repo-1.hortonworks.com/HDP/suse11/1.x/updates/1.3.3.0/
  ?
>>>>
>>>> if not,  which should i use ?
>>>>
>>>> thanks.
>>>>
>>>>
>>>> CONFIDENTIALITY NOTICE
>>>> NOTICE: This message is intended for the use of the individual or
>>>> entity to which it is addressed and may contain information that is
>>>> confidential, privileged and exempt from disclosure under applicable law.
>>>> If the reader of this message is not the intended recipient, you are hereby
>>>> notified that any printing, copying, dissemination, distribution,
>>>> disclosure or forwarding of this communication is strictly prohibited. If
>>>> you have received this communication in error, please contact the sender
>>>> immediately and delete it from your system. Thank You.
>>>
>>>
>>>
>>> CONFIDENTIALITY NOTICE
>>> NOTICE: This message is intended for the use of the individual or entity
>>> to which it is addressed and may contain information that is confidential,
>>> privileged and exempt from disclosure under applicable law. If the reader
>>> of this message is not the intended recipient, you are hereby notified that
>>> any printing, copying, dissemination, distribution, disclosure or
>>> forwarding of this communication is strictly prohibited. If you have
>>> received this communication in error, please contact the sender immediately
>>> and delete it from your system. Thank You.
>>>
>>
>>
>> CONFIDENTIALITY NOTICE
>> NOTICE: This message is intended for the use of the individual or entity
>> to which it is addressed and may contain information that is confidential,
>> privileged and exempt from disclosure under applicable law. If the reader
>> of this message is not the intended recipient, you are hereby notified that
>> any printing, copying, dissemination, distribution, disclosure or
>> forwarding of this communication is strictly prohibited. If you have
>> received this communication in error, please contact the sender immediately
>> and delete it from your system. Thank You.
>>
>
>
> CONFIDENTIALITY NOTICE
> NOTICE: This message is intended for the use of the individual or entity
> to which it is addressed and may contain information that is confidential,
> privileged and exempt from disclosure under applicable law. If the reader
> of this message is not the intended recipient, you are hereby notified that
> any printing, copying, dissemination, distribution, disclosure or
> forwarding of this communication is strictly prohibited. If you have
> received this communication in error, please contact the sender immediately
> and delete it from your system. Thank You.
>

Mime
View raw message